Unit tmnbbr_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNBBR_p, FTMNBBR_p, MNBBR_p;

function tmnbbr: String;

implementation

function tmnbbr: String;
var
I,IERR :Integer;
FF :Real;
XYZ :Array [0..17] of Real;
VEC :Array [0..15] of Real;
XX :Array [0..1] of Real;
const
ALFA :Real = 1.0;
BETA :Real = 0.5;
GAM :Real = 2.0;
N :Integer = 2;
ITMAX :Integer = 50;
MAXK :Integer = 400;
ACC :Real = 1.0E-06;
A :Real = 0.3;
NMP1 :Integer = 3;
ITMT :Integer = 200;
MAXT :Integer = 500;
begin
Result := '';  {   }
{   DATA  FORTRAN  }
XX[0] := 1.0;
XX[1] := 1.0;
Result := Result + Format('%s',
 ['1          METO CKOEO OYCKA']) + #$0D#$0A; 
Result := Result + Format('%s',['  APAMETP']) + #$0D#$0A; 
Result := Result + Format('%s',['  N = ']);
Result := Result + Format('%2d ',[N]);
Result := Result + Format('%s',['    ACC = ']);
Result := Result + Format('%20.16f ',[ACC]);
Result := Result + Format('%s',['  ALFA = ']);
Result := Result + Format('%20.16f ',[ALFA]);
Result := Result + Format('%s',['  BETA = ']);
Result := Result + Format('%20.16f ',[BETA]);
Result := Result + Format('%s',['  GAMMA = ']);
Result := Result + Format('%20.16f ',[GAM]) + #$0D#$0A;
Result := Result + Format('%s',['  HAAHA TOKA']) + #$0D#$0A; 
for I:=1 to N do
 begin
  Result := Result + Format('  X(%1d ) = %20.16f ',
 [I,XX[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
MNBBR(N,NMP1,ITMAX,ITMT,
     ALFA,BETA,GAM,ACC,A,XYZ,XX,VEC,
     FF,MAXK,MAXT,FMNBBR,FTMNBBR,IERR);
Result := Result + Format('%s',['  PEYTAT:']) + #$0D#$0A; 
Result := Result + Format('  %4d ',[MAXT]);
Result := Result + Format('%s',['  BCEH YHKT']);
Result := Result + Format('%s',['  IERR = ']);
Result := Result + Format('%2d ',[IERR]) + #$0D#$0A;
Result := Result + Format('  %4d ',[ITMAX]);
Result := Result + Format('%s',['  TEPA']);
Result := Result + Format('  %6d ',[MAXK]);
Result := Result + Format('%s',['  BCEH YHK']);
Result := Result + Format('%s',['  F(X) = ']);
Result := Result + Format('%20.16f ',[FF]) + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('  X(%1d ) = %20.16f ',
 [I,XX[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmnbbr',Result);  {     tmnbbr.res }
exit;
end;

end.
